.TH SIMPLEPROXY 1 "Version 3.5"
.ds ]W November 2003
.SH NAME
simpleproxy \- Simple tcp socket proxy
.SH SYNOPSIS
.ta 6n
\fBsimpleproxy\fP 
[-7]
[-v]
[-V]
[-d]
[-i]
[-u]
-P <\fIPOP3 users file\fP>
-L [<\fIlocal host\fP>:]<\fIlocal port\fP>
-R <\fIremote host\fP>:<\fIremote port\fP>
[-S <\fIproxy host\fP>:<\fIproxy port\fP>]
 
.br
.SH DESCRIPTION
The 
.I simpleproxy 
program acts as a simple tcp proxy. It opens listening socket on
local machine and forwards any connection to the remote host.

.SH OPTIONS
.PP
.I simpleproxy\fP accepts following options:
.TP 8
.B \-V
Version information.
.TP 8
.B \-v
Makes \fIsimpleproxy\fP to write activity information to \fIsyslog\fP or \fIstderr\fP.
.TP 8
.B \-7
Makes \fIsimpleproxy\fP to strip 8th bit.
.TP 8
.B \-i
Use this flag when starting \fIsimpleproxy\fP from INETD.
.TP 8
.B \-d
By default \fIsimpleproxy\fP does not detach itself from control terminal and writes all
messages to \fIstderr\fP. This option will detach it from terminal and make it write
messages to  \fIsyslog\fP.
.TP 8
.B \-L  [<\fIlocal host\fP>:]<\fIlocal port\fP>
Local host and port name or number to bind for listening. Host name is optional.
.TP 8
.B \-R <\fIremote host\fP>:<\fIremote port\fP>
Remote host and port name or number
.TP 8
.B \-P \fP<\fIPOP3 users list\fP>
If specified, simpleproxy will load list of
users from the <filename> (one per line). After this it will be
forwarding POP3 sessions only if client trying to authenificate as
this user.
.TP 8
.B \-S <\fIproxy host\fP>:<\fIproxy port\fP>
HTTPS proxy server host and port name or number.
.TP 8
.B \-a <\fIHTTPS Auth User\fP>:<\fIHTTPS Auth Password\fP>
Authenticate to the HTTPS proxy server with the given userid and password.
This option performs BASIC HTTP authentication as specified in RFC 2617.
Used only in conjunction with -S.
.TP 8
.B \-A <\fIHTTP Auth User\fP>:<\fIHTTP Auth Password\fP>
Requires HTTP proxy authentication.
Client browser must supply username and password to use this proxy.
This option performs BASIC HTTP authentication as specified in RFC 2617.
.TP 8
.B \-u
URLs of visited pages are emitted on stdout.
It is used for logging or for remote lecturing, if the output is redirected
to a remote command that change a dynamic web page, it is possible to 
synchronize
all the learner web browsers to the same page visited by the instructor.
(see the "simple remote lecturing" project on sourceforge).
.TP 8
.B \-t <\fItrace file\fP>
If specified, simpleproxy will dump all data that passes through connection to the specified file.

.SH BUGS\ \ \ \        
Only \fItcp\fP ports are supported.
.TP8

.PP
.SH SEE ALSO
.PP
inetd(1M), services(4), http://www.crocodile.org/software.html

.SH AUTHOR
.PP
Vadim Zaliva <lord@crocodile.org>,
Vladimir Karpinsky  <vlad@noir.crocodile.org>
Vadim Tymchenko <verylong@noir.crocodile.org>
Renzo Davoli <renzo at cs dot unibo dot it>
.SH CONTRIBUTORS
.PP
Pavel Roskin <pavel_roskin@geocities.com>,
Cedric Tefft <cedric@earthling.net>
Christophe Bothamy <cbothamy@sourceforge.net>
Ulf Harnhammar <metaur@telia.com>
